import java.awt.event.*;
import javax.swing.*;
import java.awt.*;

public class Selection_Langue extends JFrame implements ActionListener{
  private boolean selection_faite=false;
  private JPanel central=new JPanel();
  private JScrollPane js=null;
  private ImageIcon ic;
  private JToggleButton[] boutons=new JToggleButton[6] ;
  private JButton bouton_ok=new JButton("OK");
  private ButtonGroup groupe=new ButtonGroup();
  private GridBagLayout gb=new GridBagLayout(); 
  Selection_Langue(){
  	super.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		setIconImage(Toolkit.getDefaultToolkit().createImage(Logo.class.getResource("icone.png")));
		setTitle("XLOGO");
	central.setLayout(gb);
    for (int i=0;i<boutons.length;i++){
      ic=new ImageIcon(dimensionne_image("drapeau"+i+".png"));
      boutons[i]=new JToggleButton(ic);
      groupe.add(boutons[i]);
      central.add(boutons[i],new GridBagConstraints(i%3, i/3, 1, 1 , 1.0, 1.0
      		,GridBagConstraints.CENTER, GridBagConstraints.VERTICAL, new Insets(10, 10, 0, 10), 0, 0));
    }
    boutons[0].setSelected(true);
  bouton_ok.setPreferredSize(new Dimension(100,50));
    central.add(bouton_ok,new GridBagConstraints(1, 2, 1, 1 , 1.0, 1.0
      		,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(10, 10, 0, 10), 0, 0));    
    js=new JScrollPane(central);
    js.setPreferredSize(new Dimension(800,400));
    getContentPane().add(js);
    bouton_ok.addActionListener(this);
    pack();
    setVisible(true);
  }
   public void actionPerformed(ActionEvent e){
    for(int i=0;i<boutons.length;i++){
      if (boutons[i].isSelected()) Logo.langage=i;
    }
    selection_faite=true;
	 }
  public boolean getSelection_faite(){
    return selection_faite;
  }
  Image dimensionne_image(String nom){
	Image image=null;
	image= Toolkit.getDefaultToolkit().getImage(Logo.class.getResource(nom));
	MediaTracker tracker=new MediaTracker(this);
	tracker.addImage(image,0);
	try{tracker.waitForID(0);}
	catch(InterruptedException e1){}
	double largeur_ecran=Toolkit.getDefaultToolkit().getScreenSize().getWidth();
	int largeur=image.getWidth(this); 
	int hauteur=image.getHeight(this);
	// On fait attention la rsolution de l'utilisateur
	double facteur = largeur_ecran/1024.0; //les images sont prvues pour 1024x768
	if ((int)(facteur+0.001)!=1){
		image=image.getScaledInstance((int)(facteur*largeur),(int)(facteur*hauteur),Image.SCALE_SMOOTH);
		tracker=new MediaTracker(this);
		tracker.addImage(image,0);
		try{tracker.waitForID(0);}
		catch(InterruptedException e1){}
	}
	return image;
  }

}