import javax.swing.*;
import java.awt.event.*;
import java.awt.*;


public class Panneau_Police extends JPanel implements ActionListener{
  JPanel panneau_taille_police=new JPanel();
  JButton gauche=new JButton("-");
  JButton droite=new JButton("+");
  JLabel taille_police=new JLabel();
  final String chaine_apercu="ABCDEFGHIJKLMNOPQRSTUVWXYZ\nabcdefghijklmnopqrstuvwxyz";
  JTextArea apercu_police=new JTextArea(chaine_apercu);
  static final Font[] fontes = GraphicsEnvironment.getLocalGraphicsEnvironment().getAllFonts();//Toolkit.getDefaultToolkit().getFontList();
  JScrollPane js_police=null;
	String[] noms_police=null;
  JList jl_police=null;
	
	static int police_id(Font font){
		for (int i=0;i<fontes.length;i++){
			if (fontes[i].getFontName().equals(font.getFontName())) return i; 
		}
		return 0;
	}
  Panneau_Police(){
		apercu_police.setFont(Logo.police);
		taille_police.setFont(Logo.police);
		apercu_police.setEditable(false);
		setLayout(new BorderLayout());
		noms_police=new String[fontes.length];
		for (int i=0;i<fontes.length;i++){
			noms_police[i]=i+" "+fontes[i].getFontName(); 
		}
		jl_police=new JList(noms_police);
		jl_police.setFont(Logo.police);
		jl_police.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		jl_police.setSelectedIndex(Cadre.police);
		js_police=new JScrollPane(jl_police);
		gauche.setActionCommand("gauche");
		droite.setActionCommand("droite");
		gauche.addActionListener(this);
		droite.addActionListener(this);
		taille_police.setText(String.valueOf(Logo.police.getSize()));
		panneau_taille_police.add(gauche);
		panneau_taille_police.add(taille_police);
		panneau_taille_police.add(droite);
		add(js_police,BorderLayout.CENTER);
		add(apercu_police,BorderLayout.SOUTH);
		add(panneau_taille_police,BorderLayout.EAST);
		 MouseListener mouseListener = new MouseAdapter() {
			 public void mouseClicked(MouseEvent e) {
				 int index = jl_police.locationToIndex(e.getPoint());
         apercu_police.setFont(fontes[index].deriveFont((float)Integer.parseInt(taille_police.getText())));
				 apercu_police.setText(chaine_apercu);
			 }
		 };
		 KeyListener key=new KeyAdapter(){
			 public void keyReleased(KeyEvent e){
				 int code = e.getKeyCode();
				 if (code == KeyEvent.VK_UP||code==KeyEvent.VK_DOWN) {
					 int index=jl_police.getSelectedIndex();
					 apercu_police.setFont(fontes[index].deriveFont((float)Integer.parseInt(taille_police.getText())));
					 apercu_police.setText(chaine_apercu);
				 }
			 }
		 };
		 jl_police.addKeyListener(key);
		 jl_police.addMouseListener(mouseListener);
	}
	public void actionPerformed(ActionEvent e){
    int taille=Integer.parseInt(taille_police.getText());
		if (e.getActionCommand().equals("gauche")&&taille>8) {
			taille_police.setText(String.valueOf(taille-1));
			apercu_police.setFont(apercu_police.getFont().deriveFont((float)taille-1));
			apercu_police.setText(chaine_apercu);
		}
    else if (e.getActionCommand().equals("droite")&&taille<40) {
			taille_police.setText(String.valueOf(taille+1));
			apercu_police.setFont(apercu_police.getFont().deriveFont((float)taille+1));
			apercu_police.setText(chaine_apercu);
    }
//		apercu_police.setSize((new Dimension((int)this.getSize().getWidth(),taille+20));
	}
}
